Networks
Update a network
Partially update a network in the authorized organization. Aggregation not available for networks.
PATCH
/
v2
/
organizations
/
{organization_id}
/
networks
/
{network_id}
curl --request PATCH \
--url https://api.flexxible.net/v2/organizations/{organization_id}/networks/{network_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "LAN Oficina",
"vlan": 100
}
'{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "LAN Oficina",
"cidr": "10.0.0.0/24",
"gateway": "10.0.0.1",
"vlan": 100,
"organization_id": "507f1f77bcf86cd799439011",
"public_ip": "203.0.113.10",
"location_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$Network identifier.
Body
application/json
Response
Network updated successfully.
Network Id (FWS Network.Oid).
Network Name.
Network CIDR block.
Network gateway.
Network VLAN Id.
Associated Portal organization Id.
Required string length:
24Pattern:
^[0-9a-f]{24}$Related public IP address.
Related location Id (FWS Location.Oid).
⌘I
curl --request PATCH \
--url https://api.flexxible.net/v2/organizations/{organization_id}/networks/{network_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "LAN Oficina",
"vlan": 100
}
'{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "LAN Oficina",
"cidr": "10.0.0.0/24",
"gateway": "10.0.0.1",
"vlan": 100,
"organization_id": "507f1f77bcf86cd799439011",
"public_ip": "203.0.113.10",
"location_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}